# this makefile has been taken from gerodic. 

include @top_builddir@/makerule.mk
  top_srcdir = @top_srcdir@
      srcdir = @srcdir@
top_builddir = @top_builddir@
 WNNJUTILOBJ = $(top_builddir)/Wnn/jutil

INSTALL         = @INSTALL@ $(INSTALLFLAGS)
LOCAL_INSTFLAGS = -o ${WNNOWNER}

ATOD=${WNNJUTILOBJ}/atod

WNNTOUCH=${WNNJUTILOBJ}/wnntouch

HINSI=${PUBDICPLUSSRC}/hinsi.data

SUPPLEMENTDIR=${JWNNDICDIR}/misc

SRC=$(srcdir)/supplement.u
OBJ=supplement.dic

all:: ${OBJ}

$(OBJ): $(SRC)
	${ATOD} -h ${HINSI} ${OBJ} < ${SRC}

install:: ${OBJ}
	@if [ -d $(DESTDIR)$(SUPPLEMENTDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(DESTDIR)$(SUPPLEMENTDIR)); fi
	chown ${WNNOWNER} $(DESTDIR)$(SUPPLEMENTDIR)
	$(INSTALL) $(INSTDATFLAGS) $(LOCAL_INSTFLAGS) ${OBJ} $(DESTDIR)$(SUPPLEMENTDIR)
	${WNNTOUCH} $(DESTDIR)$(SUPPLEMENTDIR)/${OBJ}

clean::
	$(RM) ${OBJ}
